<?php
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion

require_once("../includes/funciones_generales.php");
if(!comprobar_sesion()){
	$ar=array();
	$ar['error']='session';
	echo json_encode($ar);
	exit;
}
require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

if(isset($_POST['oper'])){
	$acction=$_POST['oper'];
	$iduser=$sesion->get('ac_userid');
	$nomarea=$_POST['nom_area'];
	switch($acction){
		case 'chpass':
			$pasant=md5(escapar($_POST['txtpasant']));
			$pasnew=md5(escapar($_POST['txtpasconfirm']));
			$pascnf=md5(escapar($_POST['txtpasnew']));
			if($pasnew!=$pascnf){
				$rta['error']="msg_passdif";				
			}else{
				$sql="select count(*) as tam from conf_usuarios where ide_usuario='$iduser' and pass='$pasant' limit 0,1";
				
				$academia->instruccion($sql);
				
				$reg=$academia->extraer_registro();
//				print_r($reg);
				$t=(int)$reg['tam'];
				if($t<=0){
					$academia->liberar();
					$rta['error']="msg_pasant_err";
				}else{
					$sql="UPDATE conf_usuarios SET  pass = '$pasnew' WHERE ide_usuario = '$iduser';";
					$academia->instruccion($sql);
					if($academia->filas_afectadas()>0){
						$rta['error']=0;
					}else{
						$rta['error']=$academia->extraer_error();
					}
				}
			}
			echo json_encode($rta);	
			$academia->cerrar();
			exit;
		break;
		default:
			$sql="";
	}
}
$academia->cerrar();
?>